ADAM_2.12: Core 1.0.1 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package ds
  Definition Classes
    adam
-  package read
  Definition Classes
    ds
- ADAMBAMOutputFormat
- ADAMBAMOutputFormatHeaderLess
- ADAMCRAMOutputFormat
- ADAMCRAMOutputFormatHeaderLess
- ADAMSAMOutputFormat
- ADAMSAMOutputFormatHeaderLess
- AlignmentDataset
- AnySAMInFormatter
- AnySAMInFormatterCompanion
- AnySAMOutFormatter
- BAMInFormatter
- DatasetBoundAlignmentDataset
- DatasetBoundReadDataset
- FASTQInFormatter
- IncorrectMDTagException
- ParquetUnboundAlignmentDataset
- ParquetUnboundReadDataset
- QualityScoreBin
- RDDBoundAlignmentDataset
- RDDBoundReadDataset
- ReadDataset
- ReferencePositionPairSerializer
- SAMInFormatter
- SingleReadBucketSerializer

c

org.bdgenomics.adam.ds.read

# SAMInFormatter 

###
Companion object SAMInFormatter

#### case class SAMInFormatter extends AnySAMInFormatter[SAMInFormatter] with Product with Serializable

Linear Supertypes
Product, Equals, AnySAMInFormatter[SAMInFormatter], InFormatter[Alignment, Alignment, AlignmentDataset, SAMInFormatter], Serializable, Serializable, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SAMInFormatter
2. Product
3. Equals
4. AnySAMInFormatter
5. InFormatter
6. Serializable
7. Serializable
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new SAMInFormatter()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native() @HotSpotIntrinsicCandidate()
6.  val companion: SAMInFormatter.type
   Attributes
     protected
   Definition Classes
     SAMInFormatter → InFormatter
7.  val converter: AlignmentConverter

   A converter from Alignment to SAMRecord.

   A converter from Alignment to SAMRecord.

   Definition Classes
     SAMInFormatter → AnySAMInFormatter
8.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
9.  final def getClass(): Class[_]
   Definition Classes
     AnyRef → Any
   Annotations
     @native() @HotSpotIntrinsicCandidate()
10.  val header: SAMFileHeader

    A serializable form of the SAM File Header.

    A serializable form of the SAM File Header.

    Definition Classes
      SAMInFormatter → AnySAMInFormatter
11.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
12.  def makeWriter(os: OutputStream): SAMFileWriter
    Attributes
      protected
    Definition Classes
      SAMInFormatter → AnySAMInFormatter
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
16.  val readGroups: ReadGroupDictionary

    A dictionary describing the read groups these reads are from.

    A dictionary describing the read groups these reads are from.

    Definition Classes
      SAMInFormatter → AnySAMInFormatter
17.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
18.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
19.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
20.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
21.  def write(os: OutputStream, iter: Iterator[Alignment]): Unit

    Writes alignments to an output stream in SAM format.

    Writes alignments to an output stream in SAM format.

    os

      An OutputStream connected to a process we are piping to.

    iter

      An iterator of records to write.

    Definition Classes
      AnySAMInFormatter → InFormatter

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated
   Deprecated

### Inherited from Product

### Inherited from Equals

### Inherited from AnySAMInFormatter[SAMInFormatter]

### Inherited from InFormatter[Alignment, Alignment, AlignmentDataset, SAMInFormatter]

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped